LinuxSir.cn,穿越时空的Linuxsir!

 找回密码
 注册
搜索
热搜: shell linux mysql
查看: 793|回复: 2

[求助]XMMS和gFTP在KDE下的问题

[复制链接]
发表于 2004-12-9 22:01:00 | 显示全部楼层 |阅读模式
右击XMMS窗体的时候,菜单全是乱码,而在gnome下是正常的,还有就是播放列表项与项之间的间距很大,能不能弄小点?
gFTP在KDE下界面变得很难看,之前是很好的

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2004-12-10 01:58:36 | 显示全部楼层
gtk1 (xmms、mplayer...)
http://www.linuxsir.cn/forum.php?mod=viewthread&tid=154564

gtk2 (gftp、gimp、lumaQQ...)
编辑file:/opt/kde3/bin/startkde
找到GTK2_THEME_RC -> 找到.gtkrc-2.0-$STYLE,都改成.gtkrc-2.0
然后
设定GTK2程序在KDE下的字号:
在主文件夹下建立一个文本文件,名为:.gtkrc-2.0
编辑之
内容如下:
include "/opt/gnome/share/themes/Industrial/gtk-2.0/gtkrc"
style "user-font"
{
font_name="Tahoma 12" (字体和字号按自己爱好选择)
}
widget_class "*" style "user-font"
存盘即可。
 楼主| 发表于 2004-12-11 01:30:31 | 显示全部楼层
这是我的startkde文件
我找不到你说的地方
其它的照做了还是不行
会不会跟某个软件包有关的?哪些包是负责KDE下协调GTK程序的界面的?最近升级了gnome到2.6,又把KDE升级到了3.3。可能误删了一些软件包也说不定

  1. #!/bin/sh
  2. #
  3. #  SuSE KDE STARTUP SCRIPT
  4. #  based on
  5. #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.1 )
  6. #

  7. # check for already running KDE
  8. dcop kdesktop KDesktopIface isVRoot >/dev/null 2>/dev/null;
  9. if test "$?" = 0; then
  10.   echo "ERROR: KDE seems already running on this display."
  11.   xmessage -geometry 500x100 "ERROR: KDE seems already running on this display."
  12.   exit 1
  13. fi

  14. # Boot sequence:
  15. #
  16. # kdeinit is used to fork off processes which improves memory usage
  17. # and startup time.
  18. #
  19. # * kdeinit starts the dcopserver and klauncher first.
  20. # * Then kded is started. kded is responsible for keeping the sycoca
  21. #   database up to date. When an up to date database is present it goes
  22. #   into the background and the startup continues.
  23. # * Then kdeinit starts kcminit. kcminit performs initialisation of
  24. #   certain devices according to the user's settings
  25. #
  26. # * Then ksmserver is started which in turn starts
  27. #   1) the window manager (kwin)
  28. #   2) everything in $KDEDIR/share/autostart (kdesktop, kicker, etc.)
  29. #   3) the rest of the session.

  30. # When the X server dies we get a HUP signal from xinit. We must ignore it
  31. # because we still need to do some cleanup.
  32. trap 'echo GOT SIGHUP' HUP

  33. # Set a left cursor instead of the standard X11 "X" cursor, since I've heard
  34. # from some users that they're confused and don't know what to do. This is
  35. # especially necessary on slow machines, where starting KDE takes one or two
  36. # minutes until anything appears on the screen.
  37. #
  38. # Set the background to plain grey.
  39. # The standard X background is nasty, causing moire effects and exploding
  40. # people's heads. We use colours from the standard KDE palette for those with
  41. # palettised displays.

  42. #
  43. # The user's personal KDE directory is usually $HOME/.kde3, but this setting
  44. # may be overridden by setting KDEHOME.
  45. #
  46. [ "$QTDIR" != /usr/lib/qt3 ] && unset QTDIR
  47. unset KDEDIR
  48. unset KDEDIRS
  49. KDEMAINDIR=/opt/kde3/
  50. # The user's personal KDE directory is usually ~/.kde, but this setting
  51. kdehome=$HOME/.kde
  52. test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^\~/,$HOME/,"` \
  53.                    || export KDEHOME=$HOME/.kde
  54. [ -z "$KDEROOTHOME" -a "$UID" == "0" ] && export KDEROOTHOME=$HOME/.kde
  55. echo "$PATH" | grep -q "${KDEMAINDIR}bin" || export PATH=${KDEMAINDIR}bin:$PATH

  56. # Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
  57. # (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDEis installed)
  58. #
  59. # This is where you can define environment variables that will be available to
  60. # all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
  61. # or eval `gpg-agent --daemon`.
  62. # Note: if you do that, you should also put "ssh-agent -k" as a shutdown script
  63. #
  64. # (see end of this file).
  65. # For anything else (that doesn't set env vars, or that needs a window manager),
  66. # better use the Autostart folder.

  67. exepath=`kde-config --path exe`

  68. for prefix in `echo "$exepath" | sed -e 's^/bin/^/env/^g;s^:^ ^g'`; do
  69.   for file in "$prefix"*.sh; do
  70.     test -r "$file" && . "$file"
  71.   done
  72. done

  73. # on autologin krootimage didn't run
  74. if test -n "$KDM_AUTOLOGIN"; then # get rid of the ugly background as soon as possible
  75.   if test -e /etc/opt/kde3/share/config/kdm/backgroundrc; then
  76.     krootimage /etc/opt/kde3/share/config/kdm/backgroundrc
  77.   else
  78.     krootimage kdm/backgroundrc
  79.   fi
  80. fi

  81. #
  82. # Is this the first KDE 3 start with that KDEHOME ?
  83. #
  84. if [ -e $HOME/.kde2 -a ! -e $HOME/.skel/kdebase3 ]; then
  85. #   [ "$USER" == "root" ] && xsetroot -cursor_name left_ptr -solid "#bd0000" \
  86. #                         || xsetroot -cursor_name left_ptr -solid "#ACB29C"
  87.    $KDEMAINDIR/bin/updatedialog
  88.    S="$?"
  89.    if [ "$S" == "0" -o "$S" == "1" ]; then
  90.       if [ -e "$KDEHOME" -a ! -e "$HOME/.kde1" ]; then
  91.          mv "$KDEHOME" "$HOME/.kde1"
  92.       fi
  93.       rm -rf "$HOME/.kde"
  94.       if [ "$S" == "0" ]; then
  95.          mkdir -p "$HOME/.kde" "$HOME/Desktop/"
  96.          cd $HOME/.kde2/
  97.          tar cfp - --exclude=thumbnails --exclude=cache --exclude=socket-\* \
  98.                    --exclude=tmp-\* * | tar xfv - -C "$KDEHOME"
  99.          for i in share/config/* ; do
  100.            sed -e 's,/opt/kde2/,/opt/kde3/,g' -e "s!$HOME/.kde2!$HOME/.kde!g" \
  101.                   "$i" > "$HOME/.kde/$i"
  102.          done
  103.          sed -e 's,^Wallpaper=SuSE-Desktop_\(.*\).png,Wallpaper=SuSE-Desktop_\1.jpeg,' \
  104.                   "share/config/kdesktoprc" > "$HOME/.kde/share/config/kdesktoprc"
  105.          cd -
  106.          [ "`du -ms $HOME/KDesktop/|awk '{ print $1 }'`" -lt 15 ] \
  107.            && cp -a $HOME/KDesktop/* $HOME/Desktop/ \
  108.            || mv    $HOME/KDesktop/* $HOME/Desktop/
  109.          mkdir -p $HOME/.skel/
  110.          touch $HOME/.skel/kdebase3
  111.       fi
  112.    fi
  113. fi

  114. if [ -r /etc/sysconfig/windowmanager ]; then
  115.   # Do the user want the SuSE theme ?
  116.   source /etc/sysconfig/windowmanager

  117.   # Should we really enable FAM support for KDE ?
  118.   export USE_FAM="$KDE_USE_FAM"

  119.   # Disable IPv6 ?
  120.   if [ "$KDE_USE_IPV6" = "no" ]; then
  121.      export KDE_NO_IPV6=1
  122.   fi

  123.   # Should we use the fast malloc function from kdecore ?
  124.   case $KDE_USE_FAST_MALLOC in
  125.     yes|YES|1) KDE_MALLOC=1 ;;
  126.   esac
  127. else
  128.   if [ -r /etc/rc.config ]; then
  129.     # Do the user want the SuSE theme ?
  130.     INSTALL_DESKTOP_EXTENSIONS=`bash -c "source /etc/rc.config && echo \\$INSTALL_DESKTOP_EXTENSIONS"`

  131.     # Should we really enable FAM support for KDE ?
  132.     USE_FAM=`bash -c "source /etc/rc.config && echo \\$KDE_USE_FAM"`
  133.     export USE_FAM
  134.   fi

  135.   # Should we use the fast malloc function from kdecore ?
  136.   KDE_USE_FAST_MALLOC=`bash -c "source /etc/rc.config && echo \\$KDE_USE_FAST_MALLOC"`
  137.   case $KDE_USE_FAST_MALLOC in
  138.     yes|YES|1) KDE_MALLOC=1 ;;
  139.   esac
  140. fi


  141. #
  142. # use optimized libs, if your CPU has the needed support
  143. # (kdemultimedia package has some SSE optimized libs)
  144. [ -z "$LD_HWCAP_MASK" ]    && export LD_HWCAP_MASK=0x20000000

  145. #
  146. # create SuSE defaults
  147. #
  148. if [ "$INSTALL_DESKTOP_EXTENSIONS" == "yes" ]; then
  149.   if [ -x /opt/kde3/bin/kde-open ]; then
  150.      export DESKTOP_LAUNCH=kde-open
  151.   fi
  152.   if [ "$USER" == "root" ]; then
  153.      if [ ! -e "$HOME/.skel/kdebase3" -a ! -e "$KDEHOME/share/config/kdeglobals" ]; then
  154.         if [ -e "/opt/kde3/bin/startkde.theme.unitedlinux" ]; then
  155.            . /opt/kde3/bin/startkde.theme.unitedlinux
  156.            copy_default_root_ul "$KDEHOME"
  157.            create_default_desktop_ul "$HOME/Desktop/"
  158.         fi

  159.         if [ -e "/opt/kde3/bin/startkde.theme" ]; then
  160.            . /opt/kde3/bin/startkde.theme
  161.         fi
  162.         copy_default_root "$KDEHOME"
  163.         create_default_desktop "$HOME/Desktop/"
  164.         mkdir -p $HOME/.skel/
  165.         touch $HOME/.skel/kdebase3 $HOME/.skel/kdebase3.91
  166.      fi
  167.   else
  168.      if [ ! -e "$HOME/.skel/kdebase3" -a ! -e "$KDEHOME/share/config/kdeglobals" ]; then
  169.         if [ -e "/opt/kde3/bin/startkde.theme.unitedlinux" ]; then
  170.            . /opt/kde3/bin/startkde.theme.unitedlinux
  171.            copy_default_user_ul "$KDEHOME"
  172.            create_default_desktop_ul "$HOME/Desktop/"
  173.         fi

  174.         if [ -e "/opt/kde3/bin/startkde.theme" ]; then
  175.           . /opt/kde3/bin/startkde.theme
  176.         fi
  177.         copy_default_user "$KDEHOME"
  178.         create_default_desktop "$HOME/Desktop/"
  179.         mkdir -p $HOME/.skel/
  180.         touch $HOME/.skel/kdebase3 $HOME/.skel/kdebase3.91
  181.      fi
  182.   fi
  183.   if [ -e /opt/kde3/bin/startkde.update91 -a ! -e "$HOME/.skel/kdebase3.91" ]; then
  184.      . /opt/kde3/bin/startkde.update91
  185.      mkdir -p $HOME/.skel/
  186.      touch $HOME/.skel/kdebase3.91
  187.   fi
  188.   for i in /opt/kde3/share/UnitedLinux/addon-scripts/*; do
  189.     [ -r "$i" ] && \
  190.      . "$i"
  191.   done
  192. fi

  193. usr_odir=$HOME/.fonts/kde-override
  194. usr_fdir=$HOME/.fonts

  195. # Add any user-installed font directories to the X font path
  196. kde_fontpaths=$usr_fdir/fontpaths
  197. do_usr_fdir=1
  198. do_usr_odir=1
  199. if test -r "$kde_fontpaths" ; then
  200.     savifs=$IFS
  201.     IFS=$'\n'
  202.     for fpath in `grep -v '^[   ]*#' < "$kde_fontpaths"` ; do
  203.         if test -s "$fpath"/fonts.dir; then
  204.             xset fp+ "$fpath"
  205.             if test "$fpath" = "$usr_fdir"; then
  206.                 do_usr_fdir=0
  207.             fi
  208.             if test "$fpath" = "$usr_odir"; then
  209.                 do_usr_odir=0
  210.             fi
  211.         fi
  212.     done
  213.     IFS=$savifs
  214. fi

  215. if test -n "$KDEDIRS"; then
  216.   kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`
  217.   sys_odir=$kdedirs_first/share/fonts/override
  218.   sys_fdir=$kdedirs_first/share/fonts
  219. else
  220.   sys_odir=$KDEDIR/share/fonts/override
  221.   sys_fdir=$KDEDIR/share/fonts
  222. fi

  223. # We run mkfontdir on the user's font dirs (if we have permission) to pick
  224. # up any new fonts they may have installed. If mkfontdir fails, we still
  225. # add the user's dirs to the font path, as they might simply have been made
  226. # read-only by the administrator, for whatever reason.

  227. # Only do usr_fdir and usr_odir if they are *not* listed in fontpaths
  228. test -d "$sys_odir" && xset +fp "$sys_odir"
  229. test $do_usr_odir -eq 1 && test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")
  230. test $do_usr_fdir -eq 1 && test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")
  231. test -d "$sys_fdir" && xset fp+ "$sys_fdir"

  232. # Ask X11 to rebuild its font list.
  233. xset fp rehash

  234. xsetroot -cursor_name left_ptr

  235. #
  236. # do we run in a prelinked system ?
  237. #
  238. if test -f /etc/sysconfig/prelink; then
  239. . /etc/sysconfig/prelink
  240.   if test "$USE_PRELINK" = "yes" ; then
  241.      KDE_IS_PRELINKED=1
  242.      export KDE_IS_PRELINKED
  243.   else
  244.      unset KDE_IS_PRELINKED
  245.   fi
  246. fi

  247. #
  248. # Do we have a special Gtk theming for our Qt widget theme ?
  249. #
  250. if [ ! -e $HOME/.no-qtrc-to-gtkrc-mapping ]; then

  251.   SUSE_VERSION="`cat /etc/SuSE-release | sed -n 's/VERSION = //p'`"

  252.   if [[ "$SUSE_VERSION" > 8.2 ]] ; then
  253.     # Defaults for SuSE 9.0
  254.     GTK2_SYSCONFDIR=/etc/opt/gnome
  255.     GTK2_DATADIR=/opt/gnome/share
  256.   else
  257.     # Defaults for SuSE < 9.0
  258.     # NOTE: SuSE 8.2 has broken theme location, fixed via YOU by symlinks.
  259.     GTK2_SYSCONFDIR=/etc
  260.     GTK2_DATADIR=/usr/share
  261.   fi

  262.   # use general gtk-qt-engine
  263.   if [ "$FOUND" == "0" -a -e "$DIR/Qt/gtk-2.0/gtkrc" ] ; then
  264.     GTK2_THEME_RC="$DIR/Qt/gtk-2.0/gtkrc"
  265.     break
  266.   fi

  267.   # GTK2
  268.   # NOTE: ~/.gtkrc-2.0-kde is added later (in latest KDE only)
  269.   if [ "$GTK2_RC_FILES" ]; then
  270.     export GTK2_RC_FILES="$GTK2_RC_FILES:$GTK2_THEME_RC:$HOME/.gtkrc-2.0-qtengine"
  271.   else
  272.     export GTK2_RC_FILES="$GTK2_SYSCONFDIR/gtk-2.0/gtkrc:$GTK2_THEME_RC:$HOME/.gtkrc-2.0-qtengine"
  273.   fi

  274. fi

  275. #
  276. # setup and use needed font pathes
  277. #
  278. mkdir -p "$HOME/.fonts/kde-override"
  279. xset +fp "$HOME/.fonts/kde-override"
  280. xset fp+ "$HOME/.fonts"

  281. #
  282. # shutdown possible running dcopserver, which cause a login failure
  283. # Link "tmp" and "socket" resource to directory in /tmp
  284. # Creates a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.
  285. dcopserver_shutdown
  286. if [ -e "$KDEHOME/tmp-$HOSTNAME" -a ! -L "$KDEHOME/tmp-$HOSTNAME" ]; then
  287.    rm -rf "/tmp/ksocket-$USER" "/tmp/kde-$USER"
  288.    rm -rf "$KDEHOME/tmp-$HOSTNAME" "$KDEHOME/socket-$HOSTNAME"
  289.    lnusertemp tmp >/dev/null
  290.    lnusertemp socket >/dev/null
  291. fi

  292. # the splashscreen and progress indicator
  293. ksplash --nodcop

  294. # We set LD_BIND_NOW to increase the efficiency of kdeinit.
  295. # kdeinit unsets this variable before loading applications.
  296. LD_BIND_NOW=true kdeinit +kcminit +knotify
  297. if test $? -ne 0; then
  298.   # Startup error
  299.   echo 'startkde: Could not start kdeinit. Check your installation.'  1>&2
  300.   xmessage -geometry 500x100 "Could not start kdeinit. Check your installation."
  301. fi

  302. #
  303. # do we have a configured provider ?
  304. #
  305. if [ ! -e /${KDEMAINDIR}/share/autostart/kinternet.desktop -a -x /${KDEMAINDIR}/bin/kinternet ]; then
  306.    /${KDEMAINDIR}/bin/kinternet --quiet --kicker &
  307. fi

  308. # if the KDEWM environment variable has been set, then it will be used as KDE's
  309. # window manager instead of kwin.
  310. # if KDEWM is not set, ksmserver will ensure kwin is started.
  311. # kwrapper is used to reduce startup time and memory usage
  312. # kwrapper does not return usefull error codes such as the exit code of ksmserver.
  313. # We only check for 255 which means that the ksmserver process could not be
  314. # started, any problems thereafter, e.g. ksmserver failing to initialize,
  315. # will remain undetected.
  316. test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
  317. kwrapper ksmserver $KDEWM
  318. if test $? -eq 255; then
  319.   # Startup error
  320.   echo 'startkde: Could not start ksmserver. Check your installation.'  1>&2
  321.   xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
  322. fi

  323. echo 'startkde: Shutting down...'  1>&2

  324. # Clean up
  325. kdeinit_shutdown
  326. dcopserver_shutdown
  327. artsshell -q terminate &

  328. echo 'startkde: Running shutdown scripts...'  1>&2

  329. # Run scripts found in $KDEDIRS/shutdown
  330. for prefix in `kde-config --path exe| sed -e 's^bin/^shutdown/^g;s^:^ ^'`
  331. do
  332.   for file in $prefix/*
  333.   do
  334.     if test -f $file
  335.     then
  336.        $file
  337.     fi
  338.   done
  339. done

  340. echo 'startkde: Done.'  1>&2
复制代码
您需要登录后才可以回帖 登录 | 注册

本版积分规则

快速回复 返回顶部 返回列表